Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ETCL_FilterFactory Class Reference

`#include <ETCL_FilterFactory.h>`

Inheritance diagram for TAO_Notify_ETCL_FilterFactory:

[legend]
Collaboration diagram for TAO_Notify_ETCL_FilterFactory:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ETCL_FilterFactory (void)
| Constuctor.
| ~TAO_Notify_ETCL_FilterFactory ()
| Destructor.
virtual CosNotifyFilter::FilterFactory_ptr | create (PortableServer::POA_var &filter_poa ACE_ENV_ARG_DECL)
| = TAO_Notify_FilterFactory methods.
virtual CosNotifyFilter::Filter_ptr | create_filter (const char *constraint_grammar ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )
| = CosNotifyFilter::FilterFactory methods
virtual CosNotifyFilter::MappingFilter_ptr | create_mapping_filter (const char *constraint_grammar, const CORBA::Any &default_value ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )
## Protected Attributes
PortableServer::POA_var | filter_poa_
| The POA in which to activate the Filters.

## Constructor & Destructor Documentation

TAO_Notify_ETCL_FilterFactory::TAO_Notify_ETCL_FilterFactory | ( | void |  | ) |

| Constuctor.

TAO_Notify_ETCL_FilterFactory::~TAO_Notify_ETCL_FilterFactory | ( |  | ) |

| Destructor.

## Member Function Documentation

CosNotifyFilter::FilterFactory_ptr TAO_Notify_ETCL_FilterFactory::create | ( | PortableServer::POA_var &filter_poa | ACE_ENV_ARG_DECL | ) | `[virtual]`

| = TAO_Notify_FilterFactory methods. Implements TAO_Notify_FilterFactory.

CosNotifyFilter::Filter_ptr TAO_Notify_ETCL_FilterFactory::create_filter | ( | const char *constraint_grammar | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )`[virtual]`

| = CosNotifyFilter::FilterFactory methods

virtual CosNotifyFilter::MappingFilter_ptr TAO_Notify_ETCL_FilterFactory::create_mapping_filter | ( | const char * | constraint_grammar,
|  | const CORBA::Any &default_value | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )`[virtual]`

## Member Data Documentation

PortableServer::POA_var TAO_Notify_ETCL_FilterFactory::filter_poa_`[protected]`

| The POA in which to activate the Filters.

The documentation for this class was generated from the following files:

- ETCL_FilterFactory.h
- ETCL_FilterFactory.cpp